---
allowVolumeExpansion: true
apiVersion: storage.k8s.io/v1
kind: StorageClass
metadata:
  annotations:
    description: Provides RWO and RWX Filesystem volumes
    storageclass.kubernetes.io/is-default-class: "false"
    storageclass.kubevirt.io/is-default-virt-class: "false"
  creationTimestamp: "2025-10-27T12:47:50Z"
  labels:
    ramendr.openshift.io/storageid: e724a6a8d89df0e566d445c6f845095f
  managedFields:
  - apiVersion: storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:allowVolumeExpansion: {}
      f:metadata:
        f:annotations:
          .: {}
          f:description: {}
        f:labels:
          .: {}
          f:ramendr.openshift.io/storageid: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"b37e019b-f7f6-479b-8c8a-e6b2dd9cbd28"}: {}
      f:parameters:
        .: {}
        f:clusterID: {}
        f:csi.storage.k8s.io/controller-expand-secret-name: {}
        f:csi.storage.k8s.io/controller-expand-secret-namespace: {}
        f:csi.storage.k8s.io/node-stage-secret-name: {}
        f:csi.storage.k8s.io/node-stage-secret-namespace: {}
        f:csi.storage.k8s.io/provisioner-secret-name: {}
        f:csi.storage.k8s.io/provisioner-secret-namespace: {}
        f:fsName: {}
      f:provisioner: {}
      f:reclaimPolicy: {}
      f:volumeBindingMode: {}
    manager: manager
    operation: Update
    time: "2025-10-27T12:47:50Z"
  - apiVersion: storage.k8s.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:storageclass.kubernetes.io/is-default-class: {}
          f:storageclass.kubevirt.io/is-default-virt-class: {}
    manager: kubectl-patch
    operation: Update
    time: "2025-10-27T17:39:11Z"
  name: ocs-storagecluster-cephfs
  ownerReferences:
  - apiVersion: ocs.openshift.io/v1alpha1
    blockOwnerDeletion: true
    controller: true
    kind: StorageClient
    name: ocs-storagecluster
    uid: b37e019b-f7f6-479b-8c8a-e6b2dd9cbd28
  resourceVersion: "208554"
  uid: d642b646-7bf5-4c7c-ae7c-d2b51cd25ffd
parameters:
  clusterID: openshift-storage
  csi.storage.k8s.io/controller-expand-secret-name: rook-csi-cephfs-provisioner
  csi.storage.k8s.io/controller-expand-secret-namespace: openshift-storage
  csi.storage.k8s.io/node-stage-secret-name: rook-csi-cephfs-node
  csi.storage.k8s.io/node-stage-secret-namespace: openshift-storage
  csi.storage.k8s.io/provisioner-secret-name: rook-csi-cephfs-provisioner
  csi.storage.k8s.io/provisioner-secret-namespace: openshift-storage
  fsName: ocs-storagecluster-cephfilesystem
provisioner: openshift-storage.cephfs.csi.ceph.com
reclaimPolicy: Delete
volumeBindingMode: Immediate
